From 742621886630aaa2278d4b5c8797e125becadf46 Mon Sep 17 00:00:00 2001
From: Muri Nicanor <muri@immerda.ch>
Date: Thu, 28 Jan 2016 22:31:32 +0100
Subject: [PATCH] added a line that disables gksu and synaptic from
 applications menu if no password is set

---
 PostLogin.default | 1 +
 1 file changed, 1 insertion(+)

diff --git a/PostLogin.default b/PostLogin.default
index 2e1c25c..7d5861a 100755
--- a/PostLogin.default
+++ b/PostLogin.default
@@ -134,6 +134,7 @@ if [ -z "${TAILS_USER_PASSWORD}" ] ; then
     echo "Defaults:amnesia lecture=always" > "${NO_PASSWORD_LECTURE}"
     echo "Defaults:amnesia lecture_file=/usr/share/tails-greeter/no-password-lecture.txt" >> "${NO_PASSWORD_LECTURE}"
     echo "Defaults:amnesia badpass_message=\"The administration password is disabled.\"" >> "${NO_PASSWORD_LECTURE}"
+    echo "Hidden=true" | tee -a /usr/share/applications/{gksu,synaptic}.desktop > /dev/null
     log_n_exit "Password variable not found."
 fi
 
-- 
2.7.0.rc3

